FLAC 1.4.3 Free Lossless Audio Codec

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::Picture Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Picture:

## Public Member Functions
| Picture (const Picture &object)
| Picture (const ::FLAC__StreamMetadata &object)
| Picture (const ::FLAC__StreamMetadata *object)
| Picture (::FLAC__StreamMetadata *object, bool copy)
Picture & | operator= (const Picture &object)
Picture & | operator= (const ::FLAC__StreamMetadata &object)
Picture & | operator= (const ::FLAC__StreamMetadata *object)
Picture & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const Picture &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Picture &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
::FLAC__StreamMetadata_Picture_Type | get_type () const
const char * | get_mime_type () const
const FLAC__byte * | get_description () const
FLAC__uint32 | get_width () const
FLAC__uint32 | get_height () const
FLAC__uint32 | get_depth () const
FLAC__uint32 | get_colors () const
FLAC__uint32 | get_data_length () const
const FLAC__byte * | get_data () const
void | set_type (::FLAC__StreamMetadata_Picture_Type type)
bool | set_mime_type (const char *string)
bool | set_description (const FLAC__byte *string)
void | set_width (FLAC__uint32 value) const
void | set_height (FLAC__uint32 value) const
void | set_depth (FLAC__uint32 value) const
void | set_colors (FLAC__uint32 value) const
bool | set_data (const FLAC__byte *data, FLAC__uint32 data_length)
bool | is_legal (const char **violation)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

PICTURE metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- /home/yano/cygwin-packages/flac/flac-1.4.3-1.x86_64/src/flac-1.4.3/include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation